PHPExcel_Calculation_Logical

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## FALSE

    FALSE() : boolean

Static

Returns the boolean FALSE.

Excel Function: =FALSE()

access | public
category | Logical Functions

### Returns

`boolean`False

## IFERROR

    IFERROR(mixed $testValue, mixed $errorpart) : mixed

Static

Excel Function: =IFERROR(testValue,errorpart)

access | public
category | Logical Functions

### Parameters

#### $testValue

`mixed`

Value to check, is also the value returned when no error

#### $errorpart

`mixed`

Value to return when testValue is an error condition

### Returns

`mixed`The value of errorpart or testValue determined by error condition

## LOGICAL_AND

    LOGICAL_AND() : boolean

Static

Returns boolean TRUE if all its arguments are TRUE; returns FALSE if one or more argument is FALSE.

Excel Function: =AND(logical1[,logical2[, ...]])

    The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays
        or references that contain logical values.

    Boolean arguments are treated as True or False as appropriate
    Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
    If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
        the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value

access | public
category | Logical Functions

### Returns

`boolean`The logical AND of the arguments.

## LOGICAL_OR

    LOGICAL_OR() : boolean

Static

Returns boolean TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.

Excel Function: =OR(logical1[,logical2[, ...]])

    The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays
        or references that contain logical values.

    Boolean arguments are treated as True or False as appropriate
    Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
    If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
        the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value

access | public
category | Logical Functions

### Returns

`boolean`The logical OR of the arguments.

## NOT

    NOT(mixed $logical) : boolean

Static

Returns the boolean inverse of the argument.

Excel Function: =NOT(logical)

    The argument must evaluate to a logical value such as TRUE or FALSE

    Boolean arguments are treated as True or False as appropriate
    Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
    If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
        the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value

access | public
category | Logical Functions

### Parameters

#### $logical

`mixed`

A value or expression that can be evaluated to TRUE or FALSE

### Returns

`boolean`The boolean inverse of the argument.

## STATEMENT_IF

    STATEMENT_IF(mixed $condition, mixed $returnIfTrue, mixed $returnIfFalse) : mixed

Static

Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.

Excel Function: =IF(condition[,returnIfTrue[,returnIfFalse]])

    Condition is any value or expression that can be evaluated to TRUE or FALSE.
        For example, A10=100 is a logical expression; if the value in cell A10 is equal to 100,
        the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE.
        This argument can use any comparison calculation operator.
    ReturnIfTrue is the value that is returned if condition evaluates to TRUE.
        For example, if this argument is the text string "Within budget" and the condition argument evaluates to TRUE,
        then the IF function returns the text "Within budget"
        If condition is TRUE and ReturnIfTrue is blank, this argument returns 0 (zero). To display the word TRUE, use
        the logical value TRUE for this argument.
        ReturnIfTrue can be another formula.
    ReturnIfFalse is the value that is returned if condition evaluates to FALSE.
        For example, if this argument is the text string "Over budget" and the condition argument evaluates to FALSE,
        then the IF function returns the text "Over budget".
        If condition is FALSE and ReturnIfFalse is omitted, then the logical value FALSE is returned.
        If condition is FALSE and ReturnIfFalse is blank, then the value 0 (zero) is returned.
        ReturnIfFalse can be another formula.

access | public
category | Logical Functions

### Parameters

#### $condition

`mixed`

Condition to evaluate

#### $returnIfTrue

`mixed`

Value to return when condition is true

#### $returnIfFalse

`mixed`

Optional value to return when condition is false

### Returns

`mixed`The value of returnIfTrue or returnIfFalse determined by condition

## TRUE

    TRUE() : boolean

Static

Returns the boolean TRUE.

Excel Function: =TRUE()

access | public
category | Logical Functions

### Returns

`boolean`True